Page MenuHomePhabricator

abusefilter-view-private should let you view histories of private filters
Closed, ResolvedPublic

Description

Report (second thread).

Apparently users in the abusefilter-helper group can't see histories of filters tagged as private, despite being able already to view abuse filters marked as private and abuse filter log entries of private filters as well. Users with the abusefilter-view-private should be able to see Special:AbuseFilter/history/xxx entries as well.

Event Timeline

MarcoAurelio raised the priority of this task from to Normal.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: AbuseFilter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2016, 7:26 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptApr 26 2016, 10:15 AM

Change 285422 had a related patch set uploaded (by Glaisher):
Allow users with 'abusefilter-view-private' to view history/diff of private filters

https://gerrit.wikimedia.org/r/285422

Can the above patch be tested and deployed if it works? Thanks!

Change 285422 merged by jenkins-bot:
Allow users with 'abusefilter-view-private' to view history/diff of private filters

https://gerrit.wikimedia.org/r/285422

Glaisher closed this task as Resolved.Aug 11 2016, 4:27 AM
Glaisher claimed this task.